Package ru.bitel.bgbilling.kernel.tariff.option.server.bean

# Class ContractTariffOptionDao

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.common.dao.AbstarctDaoConstant
ru.bitel.bgbilling.common.dao.AbstractDao<ContractTariffOption>
ru.bitel.bgbilling.common.dao.AbstractIdDao<ContractTariffOption>
ru.bitel.bgbilling.kernel.tariff.option.server.bean.ContractTariffOptionDao

public class ContractTariffOptionDao extends ru.bitel.bgbilling.common.dao.AbstractIdDao<ContractTariffOption>

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.common.dao.AbstractDao

  `orderByPattern`

  ### Fields inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `con, ERROR, fields, moduleId, SQL_ALL, SQL_AND, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_JOIN, SQL_LEFT_JOIN, SQL_LIMIT, SQL_NOT_IN, SQL_ON, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE, tableName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ContractTariffOptionDao(Connection con)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ContractTariffOptionList`
  `getContractRealtimeTariffOptionList(int contractId, Date fromTime)`
  Из даты time_to вычитается одна миллисекунда.
  `static ContractTariffOptionList`
  `getContractRealtimeTariffOptionList(Connection con, int contractId, Date fromTime)`
  Из даты time_to вычитается одна миллисекунда.
  `Map<Integer,ContractTariffOptionList>`
  `getContractRealtimeTariffOptionListMap(Date fromTime)`
  `protected ContractTariffOption`
  `getFromRS(ResultSet rs)`
  `ContractTariffOptionList`
  `getRoundContractRealtimeTariffOptionList(int contractId, Date fromTime)`
  Вовзращает опции, у которых time_from округлено до начала часа.
  `static ContractTariffOptionList`
  `getRoundContractRealtimeTariffOptionList(Connection con, int contractId, Date fromTime)`
  Вовзращает оции , у которых time_from округлено до начала часа .
  `List<ContractTariffOption>`
  `list(int contractId, Date date)`
  `List<ContractTariffOption>`
  `list(int contractId, Date date, boolean history, boolean needNonActive)`
  `void`
  `update(ContractTariffOption contractTariffOption)`
  `void`
  `update(ContractTariffOption contractTariffOption, boolean checkDeactivated)`
  `protected void`
  `updateImpl(ContractTariffOption contractOption)`
  `protected void`
  `updateImpl(ContractTariffOption contractOption, boolean checkDeactivated)`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstractIdDao

  `delete, executeUpdate, get, getAndDelete, getAndUpdate, opt, prepareStatement, sqlCommand, sqlCommandAndTable, sqlQuery, sqlWhereId`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstractDao

  `delete, deleteImpl, eq, get, getById, getImpl, getListFromRS, getPeriod, getQueryById, getSQLOrder, list, list, listImpl, listImpl, listImplPS, listImplPS, ormFromResultSet, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, psSetPeriod, queryPeriod, setStatementParam`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `getSQLOrder, getTableName, sqlLimit`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ContractTariffOptionDao

    public ContractTariffOptionDao(Connection con)

- ## Method Details

  - ### list

    public List<ContractTariffOption> list(int contractId, Date date) throws SQLException
    Throws:
      `SQLException`

  - ### list

    public List<ContractTariffOption> list(int contractId, Date date, boolean history, boolean needNonActive) throws SQLException
    Throws:
      `SQLException`

  - ### getContractRealtimeTariffOptionList

    public ContractTariffOptionList getContractRealtimeTariffOptionList(int contractId, Date fromTime) throws SQLException
    Из даты time_to вычитается одна миллисекунда.
    Parameters:
      `contractId` -
      `fromTime` -
    Returns:
    Throws:
      `SQLException`

  - ### getContractRealtimeTariffOptionList

    public static ContractTariffOptionList getContractRealtimeTariffOptionList(Connection con, int contractId, Date fromTime) throws SQLException
    Из даты time_to вычитается одна миллисекунда.
    Parameters:
      `con` -
      `contractId` -
      `fromTime` -
    Returns:
    Throws:
      `SQLException`

  - ### getContractRealtimeTariffOptionListMap

    public Map<Integer,ContractTariffOptionList> getContractRealtimeTariffOptionListMap(Date fromTime) throws SQLException
    Throws:
      `SQLException`

  - ### getRoundContractRealtimeTariffOptionList

    public ContractTariffOptionList getRoundContractRealtimeTariffOptionList(int contractId, Date fromTime) throws SQLException
    Вовзращает опции, у которых time_from округлено до начала часа. Нужно для модуля IPN, т.к там почасовая тарификация. Из даты time_to вычитается одна миллисекунда.
    Parameters:
      `contractId` -
      `fromTime` -
    Returns:
    Throws:
      `SQLException`

  - ### getRoundContractRealtimeTariffOptionList

    public static ContractTariffOptionList getRoundContractRealtimeTariffOptionList(Connection con, int contractId, Date fromTime) throws SQLException
    Вовзращает оции , у которых time_from округлено до начала часа . Нужно моужля IPN, т.к так почасовая тарификация. Из даты time_to вычитается одна миллисекунда.
    Parameters:
      `con` -
      `contractId` -
      `fromTime` -
    Returns:
    Throws:
      `SQLException`

  - ### getFromRS

    protected ContractTariffOption getFromRS(ResultSet rs) throws SQLException
    Specified by:
      `getFromRS` in class `ru.bitel.bgbilling.common.dao.AbstractDao<ContractTariffOption>`
    Throws:
      `SQLException`

  - ### update

    public void update(ContractTariffOption contractTariffOption) throws SQLException
    Overrides:
      `update` in class `ru.bitel.bgbilling.common.dao.AbstractDao<ContractTariffOption>`
    Throws:
      `SQLException`

  - ### update

    public void update(ContractTariffOption contractTariffOption, boolean checkDeactivated) throws SQLException
    Throws:
      `SQLException`

  - ### updateImpl

    protected void updateImpl(ContractTariffOption contractOption) throws SQLException
    Specified by:
      `updateImpl` in class `ru.bitel.bgbilling.common.dao.AbstractDao<ContractTariffOption>`
    Throws:
      `SQLException`

  - ### updateImpl

    protected void updateImpl(ContractTariffOption contractOption, boolean checkDeactivated) throws SQLException
    Throws:
      `SQLException`